package com.koobietech.eas.mbg.mapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.koobietech.eas.mbg.model.EasSysUserinfo;
import com.koobietech.eas.mbg.model.EasSysUserinfoExample;
import io.swagger.v3.oas.annotations.media.Schema;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface EasSysUserinfoMapper {
    long countByExample(EasSysUserinfoExample example);

    int deleteByExample(EasSysUserinfoExample example);

    int deleteByPrimaryKey(Long id);

    int insert(EasSysUserinfo record);

    int insertSelective(EasSysUserinfo record);

    List<EasSysUserinfo> selectByExample(EasSysUserinfoExample example);

    EasSysUserinfo selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") EasSysUserinfo record, @Param("example") EasSysUserinfoExample example);

    int updateByExample(@Param("record") EasSysUserinfo record, @Param("example") EasSysUserinfoExample example);

    int updateByPrimaryKeySelective(EasSysUserinfo record);

    int updateByPrimaryKey(EasSysUserinfo record);
}